org.apache.ignite.internal.visor.cache

## Class VisorCacheMetricsCollectorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorCacheMetricsCollectorTaskArg,Iterable<VisorCacheAggregatedMetrics>,Collection<VisorCacheMetrics>>
  - - org.apache.ignite.internal.visor.cache.VisorCacheMetricsCollectorTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorCacheMetricsCollectorTaskArg>,Iterable<VisorCacheAggregatedMetrics>>

    @GridInternal
    public class VisorCacheMetricsCollectorTask
    extends VisorMultiNodeTask<VisorCacheMetricsCollectorTaskArg,Iterable<VisorCacheAggregatedMetrics>,Collection<VisorCacheMetrics>>

Task that collect cache metrics from all nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheMetricsCollectorTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.cache.VisorCacheMetricsCollectorTask.VisorCacheMetricsCollectorJob` `job(VisorCacheMetricsCollectorTaskArg arg)`
`protected @Nullable Iterable<VisorCacheAggregatedMetrics>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheMetricsCollectorTask

    public VisorCacheMetricsCollectorTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.cache.VisorCacheMetricsCollectorTask.VisorCacheMetricsCollectorJob job(VisorCacheMetricsCollectorTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorCacheMetricsCollectorTaskArg,Iterable<VisorCacheAggregatedMetrics>,Collection<VisorCacheMetrics>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable Iterable<VisorCacheAggregatedMetrics> reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorCacheMetricsCollectorTaskArg,Iterable<VisorCacheAggregatedMetrics>,Collection<VisorCacheMetrics>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022